Package com.documentum.fc.client.content

# Interface IDfContent

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfContent extends IDfPersistentObject
Information about a single piece of content.

Since:
  5.4

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkContentIsAvailable()`
  Throws `DfException` when content is not available.
  `int`
  `findContentAttr(String contentAttrName)`
  `int`
  `getContentAttrDataType(int index)`
  `String`
  `getContentAttrName(int index)`
  `String`
  `getContentHash()`
  `String`
  `getContents()`
  `long`
  `getContentSize()`
  `int`
  `getDataTicket()`
  `double`
  `getDoubleContentAttr(int index)`
  `String`
  `getEncoding()`
  `IDfId`
  `getFormatId()`
  `String`
  `getFullFormat()`
  `IDfId`
  `getFulltextIndex(int index)`
  `IDfId`
  `getIndexFormat()`
  `IDfId`
  `getIndexFormats(int index)`
  `int`
  `getIndexOperations(int index)`
  `int`
  `getIndexPages(int index)`
  `IDfId`
  `getIndexParent()`
  `IDfId`
  `getIndexParents(int index)`
  `IDfTime`
  `getIndexSetTimes(int index)`
  `String`
  `getIndexSubtypes(int index)`
  `String`
  `getInternalEncoding(int index)`
  `IDfId`
  `getInternalFormat(int index)`
  `String`
  `getInternalFullFormat(int index)`
  `IDfId`
  `getInternalIndexFormat(int index)`
  `int`
  `getInternalRendition(int index)`
  `int`
  `getLoss()`
  `long`
  `getOtherFileSize()`
  Get other file size.
  `int`
  `getOtherTicket()`
  `int`
  `getPage(int index)`
  `String`
  `getPageModifier(int index)`
  `int`
  `getParentCount()`
  `IDfId`
  `getParentId(int index)`
  `int`
  `getParkedState()`
  `int`
  `getPx(int index)`
  `int`
  `getPy(int index)`
  `int`
  `getPz(int index)`
  `int`
  `getRendition()`
  `int`
  `getResolution()`
  `String`
  `getSetClient()`
  `String`
  `getSetFile()`
  `IDfTime`
  `getSetTime()`
  `IDfId`
  `getStorageId()`
  `String`
  `getStringContentAttr(int index)`
  `IDfTime`
  `getTimeContentAttr(int index)`
  `String`
  `getTransformPath()`
  `int`
  `getUpdateCount(int index)`
  `int`
  `getXRange()`
  `int`
  `getYRange()`
  `int`
  `getZRange()`
  `boolean`
  `isArchived()`
  `boolean`
  `isIndexPending(int index)`
  `boolean`
  `isOffline()`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getParentId

    IDfId getParentId(int index) throws DfException
    Throws:
      `DfException`

  - ### getPage

    int getPage(int index) throws DfException
    Throws:
      `DfException`

  - ### getRendition

    int getRendition() throws DfException
    Throws:
      `DfException`

  - ### getParentCount

    int getParentCount() throws DfException
    Throws:
      `DfException`

  - ### getStorageId

    IDfId getStorageId() throws DfException
    Throws:
      `DfException`

  - ### getDataTicket

    int getDataTicket() throws DfException
    Throws:
      `DfException`

  - ### getOtherTicket

    int getOtherTicket() throws DfException
    Throws:
      `DfException`

  - ### getContentSize

    long getContentSize() throws DfException
    Throws:
      `DfException`

  - ### getFullFormat

    String getFullFormat() throws DfException
    Throws:
      `DfException`

  - ### getFormatId

    IDfId getFormatId() throws DfException
    Throws:
      `DfException`

  - ### getResolution

    int getResolution() throws DfException
    Throws:
      `DfException`

  - ### getXRange

    int getXRange() throws DfException
    Throws:
      `DfException`

  - ### getYRange

    int getYRange() throws DfException
    Throws:
      `DfException`

  - ### getZRange

    int getZRange() throws DfException
    Throws:
      `DfException`

  - ### getEncoding

    String getEncoding() throws DfException
    Throws:
      `DfException`

  - ### getLoss

    int getLoss() throws DfException
    Throws:
      `DfException`

  - ### getTransformPath

    String getTransformPath() throws DfException
    Throws:
      `DfException`

  - ### getSetClient

    String getSetClient() throws DfException
    Throws:
      `DfException`

  - ### getSetFile

    String getSetFile() throws DfException
    Throws:
      `DfException`

  - ### getSetTime

    IDfTime getSetTime() throws DfException
    Throws:
      `DfException`

  - ### isOffline

    boolean isOffline() throws DfException
    Throws:
      `DfException`

  - ### getContents

    String getContents() throws DfException
    Throws:
      `DfException`

  - ### isArchived

    boolean isArchived() throws DfException
    Throws:
      `DfException`

  - ### getIndexFormat

    IDfId getIndexFormat() throws DfException
    Throws:
      `DfException`

  - ### getIndexParent

    IDfId getIndexParent() throws DfException
    Throws:
      `DfException`

  - ### getFulltextIndex

    IDfId getFulltextIndex(int index) throws DfException
    Throws:
      `DfException`

  - ### isIndexPending

    boolean isIndexPending(int index) throws DfException
    Throws:
      `DfException`

  - ### getUpdateCount

    int getUpdateCount(int index) throws DfException
    Throws:
      `DfException`

  - ### getInternalIndexFormat

    IDfId getInternalIndexFormat(int index) throws DfException
    Throws:
      `DfException`

  - ### getInternalFormat

    IDfId getInternalFormat(int index) throws DfException
    Throws:
      `DfException`

  - ### getInternalRendition

    int getInternalRendition(int index) throws DfException
    Throws:
      `DfException`

  - ### getPx

    int getPx(int index) throws DfException
    Throws:
      `DfException`

  - ### getPy

    int getPy(int index) throws DfException
    Throws:
      `DfException`

  - ### getPz

    int getPz(int index) throws DfException
    Throws:
      `DfException`

  - ### getInternalEncoding

    String getInternalEncoding(int index) throws DfException
    Throws:
      `DfException`

  - ### getInternalFullFormat

    String getInternalFullFormat(int index) throws DfException
    Throws:
      `DfException`

  - ### getIndexParents

    IDfId getIndexParents(int index) throws DfException
    Throws:
      `DfException`

  - ### getIndexSetTimes

    IDfTime getIndexSetTimes(int index) throws DfException
    Throws:
      `DfException`

  - ### getIndexPages

    int getIndexPages(int index) throws DfException
    Throws:
      `DfException`

  - ### getIndexSubtypes

    String getIndexSubtypes(int index) throws DfException
    Throws:
      `DfException`

  - ### getIndexOperations

    int getIndexOperations(int index) throws DfException
    Throws:
      `DfException`

  - ### getIndexFormats

    IDfId getIndexFormats(int index) throws DfException
    Throws:
      `DfException`

  - ### findContentAttr

    int findContentAttr(String contentAttrName) throws DfException
    Throws:
      `DfException`

  - ### getContentAttrName

    String getContentAttrName(int index) throws DfException
    Throws:
      `DfException`

  - ### getStringContentAttr

    String getStringContentAttr(int index) throws DfException
    Throws:
      `DfException`

  - ### getPageModifier

    String getPageModifier(int index) throws DfException
    Throws:
      `DfException`

  - ### getDoubleContentAttr

    double getDoubleContentAttr(int index) throws DfException
    Throws:
      `DfException`

  - ### getTimeContentAttr

    IDfTime getTimeContentAttr(int index) throws DfException
    Throws:
      `DfException`

  - ### getContentAttrDataType

    int getContentAttrDataType(int index) throws DfException
    Throws:
      `DfException`

  - ### getContentHash

    String getContentHash() throws DfException
    Throws:
      `DfException`

  - ### getParkedState

    int getParkedState() throws DfException
    Throws:
      `DfException`

  - ### getOtherFileSize

    long getOtherFileSize() throws DfException
    Get other file size.
    Returns:
      other file size of this content. Throws DfException if this content does not own an other ticket
    Throws:
      `DfException`

  - ### checkContentIsAvailable

    void checkContentIsAvailable() throws DfException
    Throws `DfException` when content is not available.
    Throws:
      `DfException` - when content is not available.